
Figure - Bug #113933
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试60小时，出现ANR：com.android.music（1）
2022-11-14 13:57 - CD Test赵飞

Status: CLOSED Start date: 2022-11-14

Priority: Normal Due date: 2022-12-15

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202211110608

Resolution: DUPLICATE Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-12-28

Test Type: Monkey Test Root cause: 目前剩余ANR问题，原因一致，如下 Reason: Input dispatching timed out (Application does not have a focused window) 剩余的ANR问题，剩余的根本原因应该是一样的。我们将统一在113491票里跟踪分析

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 200 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 180000 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// NOT RESPONDING: com.android.music (pid 2896)

ANR in com.android.music (com.android.music/.VideoBrowserActivity)

PID: 2896

Reason: Input dispatching timed out (Application does not have a focused window)

Parent: com.android.music/.VideoBrowserActivity

ErrorId: cbf80474-61be-4303-909b-91951e6b3aa2

Frozen: false

Load: 1.98 / 4.1 / 5.3

----- Output from /proc/pressure/memory -----

some avg10=0.00 avg60=0.00 avg300=0.00 total=5153017

full avg10=0.00 avg60=0.00 avg300=0.00 total=2439574

----- End output from /proc/pressure/memory -----

CPU usage from 0ms to 17278ms later (2022-11-11 12:41:05.288 to 2022-11-11 12:41:22.566):

  95% 1058/sensors.qti: 19% user + 76% kernel

  93% 1232/tlog: 2.9% user + 90% kernel / faults: 9 minor

  46% 4797/tlog: 1.9% user + 44% kernel / faults: 3 minor

  45% 1123/system_server: 12% user + 32% kernel / faults: 50780 minor

  19% 956/vendor.qti.hardware.display.composer-service: 5.7% user + 13% kernel / faults: 228 minor

  8.2% 1576/llkd: 0.6% user + 7.6% kernel

【日志】

Tlog和ANR目录见FTP：
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_113739/Tlog&#38;ANR.zip

History

#1 - 2022-11-16 19:47 - CDTS-TEST 周婷

- Due date deleted (2022-11-21)

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#2 - 2022-12-05 17:36 - CD APP-王营

- Due date set to 2022-12-15

#3 - 2022-12-27 16:22 - CD APP-王营

- Status changed from New to ASSIGNED

#4 - 2022-12-27 17:12 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Fixed Version set to 2022-12-28

- Root cause set to 目前剩余ANR问题，原因一致，如下 Reason: Input dispatching timed out (Application does not have a focused window) 剩余的ANR问题，剩余

的根本原因应该是一样的。我们将统一在113491票里跟踪分析

#5 - 2022-12-28 14:55 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

经调查分析，产生ANR的原因与113491票一样，使用113491跟踪此类问题，关闭此票

#6 - 2022-12-28 14:55 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

2025-07-04 2/2

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_113739/Tlog&#38;ANR.zip

